Summary:	Library for the Jabber instant-messaging IM platform
Summary(pl.UTF-8):	Biblioteka dla platformy komunikacyjnej Jabbera
Name:		iksemel
Version:	1.4
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://iksemel.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	532e77181694f87ad5eb59435d11c1ca
Patch0:		%{name}-configure.patch
URL:		http://code.google.com/p/iksemel/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gnutls-devel >= 1.2.5
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iksemel is a C library for the Jabber instant-messaging IM platform.
Iksemel handles Jabber connections, parses XML, and sends and receives
Jabber messages. It works pretty good for parsing other kinds of XML,
too, if the need arises.

%description -l pl.UTF-8
Iksemel jest biblioteką C dla platformy komunikacyjnej Jabbera.
Iksemel obsługuje połączenia Jabbera, analizuje XML oraz wysyła i
odbiera komunikaty Jabbera. Działa dobrze parsując także inne rodzaje
XML-a, jeśli jest taka potrzeba.

%package devel
Summary:	Iksemel library development files
Summary(pl.UTF-8):	Pliki dla programistów używających biblioteki Iksemel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Iksemel library development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających biblioteki Iksemel.

%package static
Summary:	Static Iksemel library
Summary(pl.UTF-8):	Statyczna wersja biblioteki Iksemel
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Iksemel library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki Iksemel.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/ikslint
%attr(755,root,root) %{_bindir}/iksperf
%attr(755,root,root) %{_bindir}/iksroster
%attr(755,root,root) %{_libdir}/libiksemel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiksemel.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiksemel.so
%{_libdir}/libiksemel.la
%{_includedir}/iksemel.h
%{_pkgconfigdir}/iksemel.pc
%{_infodir}/iksemel

%files static
%defattr(644,root,root,755)
%{_libdir}/libiksemel.a
%changelog
* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3063b05
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d8bf20
- release 2

* Wed Nov 17 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 834884b
- BR: pkgconfig

* Wed Nov 17 2010 Marcin Banasiak <marcin.banasiak@gmail.com> d5dcce5
- fixes gnutls detection

* Wed Nov 17 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 94ea4ef
- updated to 1.4
- added -configure.patch

* Wed Jan 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a3fad44
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49d43f0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b005c05
- converted to UTF-8

* Wed Oct 25 2006 Elan Ruusamäe <glen@pld-linux.org> e0172e4
- strict internal deps; adapter

* Mon Jul 11 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 5136640
- BR gnutls >= 1.2.5

* Tue May 10 2005 darekr <darekr@pld-linux.org> abe13b9
- updated to 1.2
- BR: gnutls-devel; missing files

* Mon Dec 20 2004 undefine <undefine@pld-linux.org> fe52ab0
- add pkgconfigdir/*, release 2

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> 025e41c
- typos / formatting / etc.

* Tue Feb 24 2004 ankry <ankry@pld-linux.org> 2d8fb35
- pl fixes, cosmetics

* Mon Sep 15 2003 Mariusz Witkowski <maryush@gmail.com> acc76a3
- update to 1.1 version

* Wed Aug 27 2003 misi3k <misi3k@pld-linux.org> f908c8e
- updated to 1.0

* Sun May 25 2003 Michal Moskal <michal@moskal.me> e60e89e
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 90a1f06
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 881d76d
- massive attack: no need for 755 for *.la

* Thu Nov 14 2002 Jakub Bogusz <qboosh@pld-linux.org> 2790ccc
- cleanups, BRs, pl description

